%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Test-Warnings
Version:       0.026
Release:       1mamba
Summary:       Test::Warnings - Test for warnings and the lack of them
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/Test-Warnings-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Test::Warnings - Test for warnings and the lack of them.

%prep
%setup -q -n Test-Warnings-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
#%doc LICENSE
## note: eventually add the remaining documents (if any)
# %doc README README.md

%changelog
* Thu Sep 15 2016 Automatic Build System <autodist@mambasoft.it> 0.026-1mamba
- automatic update by autodist

* Wed Jan 07 2015 Automatic Build System <autodist@mambasoft.it> 0.020-1mamba
- automatic update by autodist

* Fri Jan 02 2015 Automatic Build System <autodist@mambasoft.it> 0.019-1mamba
- automatic update by autodist

* Tue Nov 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.016-1mamba
- package created using the webbuild interface
